import https from '../utils/https'

// 中心总业绩  /api/v1/level_four/overview/overall_center_performance
export const getOverallCenterPerformance = (params) => {
  return https.post('/api/v1/level_four/overview/overall_center_performance', params)
}

// 活跃组数  /api/v1/level_four/overview/total_group_count
export const getTotalGroupCount = (params) => {
  return https.post('/api/v1/level_four/overview/total_team_count', params)
}

// 中心转化率   /api/v1/level_four/overview/center_conversion_rate
export const getCenterConversionRate = (params) => {
  return https.post('/api/v1/level_four/overview/center_conversion_rate', params)
}

// 中心通话次数  /api/v1/level_four/overview/total_call_count
export const getTotalCallCount = (params) => {
  return https.post('/api/v1/level_four/overview/total_call_count', params)
}

// 新增客户  /api/v1/level_four/overview/new_customer
export const getNewCustomer = (params) => {
  return https.post('/api/v1/level_four/overview/new_customer', params)
}

// 定金转化  /api/v1/level_four/overview/deposit_conversion_rate
export const getDepositConversionRate = (params) => {
  return https.post('/api/v1/level_four/overview/deposit_conversion_rate', params)
}

// 客户类型   /api/v1/level_four/overview/customer_type_distribution
export const getCustomerTypeDistribution = (params) => {
  return https.post('/api/v1/level_four/overview/customer_type_distribution', params)
}

// 客户迫切解决的问题   /api/v1/level_four/overview/urgent_need_to_address
export const getUrgentNeedToAddress = (params) => {
  return https.post('/api/v1/level_four/overview/urgent_need_to_address', params)
}

// 获取高级经理列表  /api/v1/level_four/overview/center_advanced_managers
export const getCenterAdvancedManagerList = (params) => {
  return https.post('/api/v1/level_four/overview/center_advanced_managers', params)
}

// 根据传来的高级经理名字来获取组业绩排名   /api/v1/level_four/overview/team_ranking
export const getTeamRanking = (params) => {
  return https.post('/api/v1/level_four/overview/team_ranking', params)
}

// 根据传来的组名字来获取组业绩详情    /api/v1/level_four/overview/team_ranking_info
export const getTeamRankingInfo = (params) => {
  return https.post('/api/v1/level_four/overview/team_ranking_info', params)
}

// 各阶段转化率   /api/v1/level_four/overview/conversion_rate_vs_average
export const getConversionRateVsAverage = (params) => {
  return https.post('/api/v1/level_four/overview/conversion_rate_vs_average', params)
}

// 营期管控  /api/v1/level_four/overview/camp_period_admin
export const getCampPeriodAdmin = (params) => {
  return https.post('/api/v1/level_four/overview/camp_period_admin', params)
}
// 获取优秀录音文件  /api/v1/level_four/overview/get_excellent_record_file
export const getExcellentRecordFile = (params) => {
  return https.post('/api/v1/common/get_excellent_record_file', params)
}






